Source: libratbag
Maintainer: Stephen Kitt <skitt@debian.org>
Section: libs
Priority: optional
Build-Depends: check,
               debhelper-compat (= 13),
               dh-python,
               git,
               libevdev-dev,
               libglib2.0-dev,
               libjson-glib-dev,
               libsystemd-dev (>= 227),
               libudev-dev,
               libunistring-dev,
               meson (>= 0.40),
               pkg-config,
               python3-dev,
               python3-evdev,
               python3-gi,
               python3-lxml,
               swig,
               systemd
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian/libratbag
Vcs-Git: https://salsa.debian.org/debian/libratbag.git
Homepage: https://github.com/libratbag/libratbag/
Rules-Requires-Root: no

Package: liblur3
Architecture: linux-any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Logitech Unifying Receiver access library
 liblur is an access library for devices connected to Logitech
 Unifying Receivers. It provides functions to enumerate or disconnect
 paired devices, and pair new devices.

Package: liblur-dev
Architecture: linux-any
Multi-Arch: same
Section: libdevel
Depends: liblur3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Logitech Unifying Receiver access library - dev files
 liblur is an access library for devices connected to Logitech
 Unifying Receivers. It provides functions to enumerate or disconnect
 paired devices, and pair new devices.
 .
 This package contains the files required to build software using
 liblur.

Package: lur-command
Architecture: linux-any
Section: utils
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: liblur3 (<< 0.9-1), libratbag-tools (<< 0.9.900)
Replaces: liblur3 (<< 0.9-1), libratbag-tools (<< 0.9.900)
Description: Logitech Unifying Receiver control tool
 This package contains lur-command, which controls Logitech Unifying
 Receivers and attached devices, allowing devices to be enumerated,
 disconnected and paired.

Package: libratbag-tools
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
         lur-command,
         ratbagd
Description: configuration tools for gaming mice (transitional package)
 This package used to provide lur-command and ratbag-command.
 lur-command is now packaged in its own package, and ratbag-command
 has been replaced by ratbagd's ratbagctl.
 .
 This package can safely be removed.

Package: ratbagd
Architecture: any
Section: utils
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-evdev,
         python3-gi
Breaks: libratbag-common (<< 0.9.900)
Replaces: libratbag-common (<< 0.9.900)
Description: D-Bus daemon handling mouse configuration
 ratbagd provides access over D-Bus to settings exposed by libratbag,
 such as DPI and button mappings on gaming mice.
 .
 It currently supports some Etekcity, G.Skill, Roccat, and SteelSeries
 mice, most Logitech gaming mice, and some Logitech keyboards and
 non-gaming mice.
